Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/pkgsite: https://pkg.go.dev/github.com/pioz/faker #41047

Closed
pioz opened this issue Aug 26, 2020 · 13 comments
Closed

x/pkgsite: https://pkg.go.dev/github.com/pioz/faker #41047

pioz opened this issue Aug 26, 2020 · 13 comments

Comments

@pioz
Copy link

@pioz pioz commented Aug 26, 2020

What is the URL of the page with the issue?

https://pkg.go.dev/github.com/pioz/faker

What is your user agent?

Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36

Screenshot

screenshot

What did you do?

I see 404, not found.

What did you expect to see?

The doc of my package faker in https://github.com/pioz/faker version 0.1.2.

What did you see instead?

I see 404, not found.

@cagedmantis
Copy link
Contributor

@cagedmantis cagedmantis commented Aug 26, 2020

May I ask why you are using the replace directive in this manner?

@cagedmantis
Copy link
Contributor

@cagedmantis cagedmantis commented Aug 26, 2020

@jba
Copy link
Contributor

@jba jba commented Aug 26, 2020

It's not there because you told us to remove it, in an email to go-discovery-feedback on August 21.

@pioz
Copy link
Author

@pioz pioz commented Aug 26, 2020

I needed to remove the package github.com/pioz/faker on pkg.go.dev because before was a fork of another package, but then I decided to write my own package. In fact, the current REAL version is v0.1.2 but in pkg.go.dev you could see that the last version is the v1.5.0 (the last version of the fork).
So I thought about requesting the package be removed and then visit the package page on pkg.go.dev, and clicking the “Request” button, but then I saw that it is not possible. What I would like is to see in https://pkg.go.dev/github.com/pioz/faker the doc about faker on github.com/pioz/faker version 0.1.2.

I hope this is possible otherwise I will have to change the package name, but I don't want to. 🙏🏻

@pioz
Copy link
Author

@pioz pioz commented Aug 26, 2020

May I ask why you are using the replace directive in this manner?

I was trying things out, and I forgot to remove that line of code. 🥺

@jba
Copy link
Contributor

@jba jba commented Aug 27, 2020

We can't remove specific versions of a module. If you tag version v1.6.0 and we un-remove it, then you will see your package as the latest and therefore the default, but the forked package will still be there at v1.5.0. Do you want us to un-remove it?

@pioz
Copy link
Author

@pioz pioz commented Aug 27, 2020

Yes, please unremove it.

@jba
Copy link
Contributor

@jba jba commented Aug 27, 2020

Done.

@jba jba closed this Aug 27, 2020
@pioz
Copy link
Author

@pioz pioz commented Aug 27, 2020

I still see 404 :(

@jba
Copy link
Contributor

@jba jba commented Aug 27, 2020

Fixed (but it's still showing v1.5.0 by default).

@pioz
Copy link
Author

@pioz pioz commented Aug 28, 2020

@jba Today I see again 404. Yesterday I was seeing the page correctly. :(

@jba
Copy link
Contributor

@jba jba commented Aug 28, 2020

I think I know what's going on. We're going to have to re-deploy. We'll do that Monday morning.

@jba jba reopened this Aug 28, 2020
@julieqiu
Copy link
Contributor

@julieqiu julieqiu commented Aug 31, 2020

Fixed.

@julieqiu julieqiu closed this Aug 31, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
5 participants